/* device type for first/second packet */
#define FIRST_PACKET 0x0
#define SECOND_PACKET 0x40

#define ARCNET_HEADER 8  /* 8 bytes arcnet header */

/* mvd command definitions */
#define INITBOARD 0x10
#define MCM_FPGA 0x30
#define MCM_CHECK_DONE 0x32
#define MCM_SERIAL_DEST 0x33
#define MCM_READ_SERIAL 0x34
#define MCM_WRITE_SERIAL 0x35
#define MCM_RESET 0x36
#define MCM_OFF 0x37
#define MCM_READ_SERIAL_ALL 0x38
#define MCM_READ_SERIAL_BRANCH 0x39
#define TCIM_GLINK_CHECK 0x73
#define TCIM_CONFIG 0x74
#define TCIM_SERIAL 0x75
#define TCIM_GLINK_RESET 0x76
#define TCIM_SERIAL_CLEAR 0x77
#define TCIM_SERIAL_READ 0x78
#define DCIM_FPGA 0x81
#define DCIM_CHECK_DONE 0x82
#define DCIM_CHECK_GLINK 0x83
#define DCIM_CONFIG 0x84
#define DCIM_RESET_GLINK 0x85
#define DCIM_RESET_FPGA 0x86
#define SETLATCH 0x41
#define SETXDATA 0x42
#define SHOWPORT 0x21
#define SHOWVERSION 0x22
