void read_rsp(Int_t node, Int_t port, Int_t mcm, Int_t north) {

  char outname[40], inname[40];
  char t1[10], t2[10], t3[10], t4[10], t5[10], t6[10];
  char dum1[3], dum2[3];
  Int_t val[16];

  if (north) {
    sprintf(inname,"mvd%d_serial_run_%d_%dn.rsp",node,port,mcm);
    sprintf(outname,"mcm%d_read_serial_%d_%dn.rsp",node,port,mcm);
  }
  else {
    sprintf(inname,"mvd%d_serial_run_%d_%ds.rsp",node,port,mcm);
    sprintf(outname,"mcm%d_read_serial_%d_%ds.rsp",node,port,mcm);
  }

  ifstream infile(inname);
  ofstream outfile(outname);
  
  if (infile) {
    cout << " Input file: " << inname << endl;
    infile >> t1 >> t2 >> t3 >> t4 >> t5;
    outfile << "MVD: serial run string correct" << endl;    
    infile >> t1 >> t2 >> t3 >> t4 >> t5 >> t6 >> t1;
    outfile << "*** ERROR serial run string not loaded" << endl;    
    infile >> t1 >> t2 >> t3 >> t4;
    outfile << t1 <<" "<< 34 <<" "<< t3 <<" "<< t4 << endl;
    infile >> t1 >> t2 >> t3 >> t4;
    outfile << t1 <<" "<< t2 <<" "<< t3 <<" "<< t4 << endl;
    for (Int_t i=0; i<14; i++) {
      for (Int_t j=0; j<16; j++) {
	infile >> dum1;
	sprintf(dum2," %2s",dum1);
	outfile << dum2;
      }
      outfile << endl;
    }
    infile >> dum1;
    sprintf(dum2," %2s",dum1);
    outfile << dum2;
  }
  else {
    cout << " Input file " << inname << " does not exist." << endl;
  }
}






